> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve All Tags

GET all tags. Returns a paginated list of tags.


## OpenAPI

````yaml GET /api/v1/tags
openapi: 3.0.0
info:
  title: One Codex API (v1)
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/tags:
    get:
      summary: GET tags instances
      operationId: get_tags_instances
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            format: int32
          description: Page number. Defaults to 1. See Pagination for more details.
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            default: 50
            format: int32
          description: >-
            Number of requested paginated records. Defaults to 50. See
            Pagination for more details.
        - name: sort
          in: query
          required: false
          schema:
            type: object
            format: string
          description: >-
            Optional Mongo-style JSON sort clause, e.g., `sort={"created_at":
            true}` to sort by created_at (descending)
        - name: where
          in: query
          required: false
          schema:
            type: object
            format: string
          description: >-
            Optional Mongo-style JSON filter clause, e.g., `where={"$uri":
            {"$eq": "/api/v1/samples/0ee172af60e84f61"}}`
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/tags'
components:
  schemas:
    tags:
      type: object
      properties:
        $uri:
          type: string
          pattern: ^/api/v1/tags\/[^/]+$
          example: /api/v1/tags/a1b2c3d4e5f67890
        name:
          type: string
          maxLength: 30
          description: The tag label or name. Name must be 30 characters or fewer.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````